if not HasKey("savegame.mod.vox") then
    SetInt("savegame.mod.vox", 1)
end
if not HasKey("savegame.mod.sound") then
    SetInt("savegame.mod.sound", 1)
end

function round(x, d)
	d = d or 1
	return math.floor(x / d + 0.5) * d
end

function lerp(a, b, t) 
    return a + t * (b - a)
end

function invLerp(a, b, v)
    return (v - a) / (b - a)
end

function remap(iMin, iMax, oMin, oMax, v)
    local t = invLerp(iMin, iMax, v)
    return lerp(oMin, oMax, t)
end


local saberVoxNames = {
    "Double-/",
	"Double-|",
    "Red",
    "Green",
    "Blue",
    "Purple",
    "Yellow",
    "Orange",
    "White",
}



function draw()
	local mouseX, mouseY = UiGetMousePos()
	UiPush()
		UiTranslate(UiCenter(), 100)
		UiAlign("center middle")

		--Title
		UiFont("bold.ttf", 48)
		UiText("Lightsaber options")

		--Draw image
		UiTranslate(0, 250)
		UiPush()
			UiImage("MOD/img/saber.png")
		UiPop()
		
		--Draw buttons
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)

        UiTranslate(0, 250)

		

		--Saber color
		UiTranslate(0, 40)
		UiPush()
			UiPush()
				UiTranslate(-20, 0)
				UiAlign("right middle")
				UiText("Lightsaber color")
			UiPop()
			UiPush()
				UiTranslate(20, 0)
				UiAlign("left middle")
				UiColor(1, 1, 0.5)
				UiButtonImageBox()

				local vox = GetInt("savegame.mod.vox")
                local name = saberVoxNames[vox]
				if UiTextButton(name) then
                    vox = vox + 1
                    if vox > 9 then
                        vox = 1
                    end
					SetInt("savegame.mod.vox", vox)
				end
			UiPop()
		UiPop()
        
        

        UiTranslate(0, 80)
		if UiTextButton("Close", 200, 40) then
			Menu()
		end
	UiPop()

    
end

